

  Initial ad-hoc manual, while waiting for the real one to be written.



anfdump is a program to examine various kinds of DEC protocols.

It knows about the following types of data:

  * DDCMP encapsulated in TCP or UDP, with payload being either DECnet
    or ANF-10.

  * Multinet (DECnet) over TCP.

  * Ethernet frames, with associated payload type.

  * HECnet bridge frames over UDP.

General syntax:

  anfdump [protocol option(s)] [interface] ...

DDCMP/TCP:

  anfdump -t <port #> -i <interface>

    To decode DDCMP data, use -a, -d or -x to print/decode ANF-10,
    DECnet or just do a hex printout.

    Asking for port number 0 means all packets.

DDCMP/UDP:

  anfdump -u <port #> -i <interface>

    Decoding options as for TCP above.

Multinet:

  anfdump -m <port #> -i <interface>

    Decoding will be DECnet.

Ethernet:

  anfdump -p <protocol> -i <interface>

    Decoding will be selected from protocol type.

      6003  -- DECnet.
      6004  -- LAT.
      6006  -- ANF-10.
      6016  -- ANF-10.

HECnet bridge:

  anfdump -b <port #> [-p <protocol] -i <interface>

    Data decoding will be on embedded ethernet type.  To select only some
    ethernet types, use -p (one or more times).

The order of the options above is important.  The interface to listen to
defaults to "system default" as libpcap does it.  You can set up several
listeners, which will then run in paralell, and the data will be sorted
to present a consistent timeline.

Other options:

  -r <file> -- read data from file (pcap format) instead of live.
  -v        -- be more verbose in protocol decoding.  Repeat for more.
